Loading...
Searching...
No Matches
casacore::BitVectorHelper Class Reference
casa package (libcasa_casa) » Utilities_module » Utilities_module_internal_classes

Helper class for BitVector. More...

`#include <BitVector.h>`

## Public Member Functions

| BitVectorHelper (const BitVectorHelper &that)
| Copy constructor has to be public.
const BitVectorHelper & | operator= (const BitVectorHelper &that) const
| Set the bit to the state of the bit in the other BitVector.
const BitVectorHelper & | operator= (Bool state) const
| Set to a state.
| operator Bool () const
| Defines the conversion from BitVectorHelper to Bool.

## Private Member Functions

| BitVectorHelper (uInt bitNumber, BitVector *vector)
| The constructor we actually use.

## Private Attributes

uInt | bitNumber_p
BitVector * | vecPtr_p
| Pointer back to the original vector.

## Friends

class | BitVector

## Detailed Description

Helper class for BitVector.

### Intended use:

Internal

### Review Status

Reviewed By:
  Friso Olnon
Date Reviewed:
  1995/03/13
Test programs:
  tBitVector

### Prerequisite

- class BitVector

### Synopsis

Helper class for class BitVector. For all practical purposes a BitVectorHelper object is the individual bit in a bit vector. It is the object returned by the index operator of BitVector.

Definition at line 249 of file BitVector.h.

## Constructor & Destructor Documentation

## BitVectorHelper() [1/2]

casacore::BitVectorHelper::BitVectorHelper | ( | const BitVectorHelper & | that | ) |

inline

Copy constructor has to be public.

Definition at line 316 of file BitVector.h.

References bitNumber_p, BitVectorHelper(), and vecPtr_p.

Referenced by BitVector, BitVectorHelper(), operator=(), and operator=().

## BitVectorHelper() [2/2]

casacore::BitVectorHelper::BitVectorHelper | ( | uInt | bitNumber,
|  | BitVector * | vector )

inline private

The constructor we actually use.

Definition at line 306 of file BitVector.h.

References bitNumber_p, BitVector, and vecPtr_p.

## Member Function Documentation

## operator Bool()

casacore::BitVectorHelper::operator Bool | ( |  | ) | const

inline

Defines the conversion from BitVectorHelper to Bool.

Definition at line 327 of file BitVector.h.

References bitNumber_p, and vecPtr_p.

## operator=() [1/2]

const BitVectorHelper & casacore::BitVectorHelper::operator= | ( | Bool | state | ) | const

inline

Set to a state.

Definition at line 321 of file BitVector.h.

References bitNumber_p, BitVectorHelper(), and vecPtr_p.

## operator=() [2/2]

const BitVectorHelper & casacore::BitVectorHelper::operator= | ( | const BitVectorHelper & | that | ) | const

inline

Set the bit to the state of the bit in the other BitVector.

Thus assignment has not the usual copy semantics, but affects the underlying BitVector bit.

Definition at line 332 of file BitVector.h.

References bitNumber_p, BitVectorHelper(), and vecPtr_p.

## Friends And Related Symbol Documentation

## BitVector

friend class BitVector

friend

Definition at line 251 of file BitVector.h.

References BitVector, and BitVectorHelper().

Referenced by BitVector, and BitVectorHelper().

## Member Data Documentation

## bitNumber_p

uInt casacore::BitVectorHelper::bitNumber_p

private

Definition at line 270 of file BitVector.h.

Referenced by BitVectorHelper(), BitVectorHelper(), operator Bool(), operator=(), and operator=().

## vecPtr_p

BitVector* casacore::BitVectorHelper::vecPtr_p

private

Pointer back to the original vector.

Definition at line 273 of file BitVector.h.

Referenced by BitVectorHelper(), BitVectorHelper(), operator Bool(), operator=(), and operator=().

The documentation for this class was generated from the following file:

- casa/Utilities/BitVector.h